- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionSlider Class Reference

Search for all occurrences

## Detailed Description

Definition at line 701 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionSlider:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Slider }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionSlider ()
| QStyleOptionSlider (const QStyleOptionSlider &other)
## Public Attributes
Qt::Orientation | orientation
int | minimum
int | maximum
QSlider::TickPosition | tickPosition
int | tickInterval
bool | upsideDown
int | sliderPosition
int | sliderValue
int | singleStep
int | pageStep
qreal | notchTarget
bool | dialWrapping
## Protected Member Functions
| QStyleOptionSlider (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 704 of file qstyleoption.h.

    { Type = SO_Slider };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 705 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionSlider | ( |  | ) |

QStyleOptionSlider | ( | const QStyleOptionSlider & | other | ) | `[inline]`

Definition at line 721 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionSlider | ( | int | version | ) | `[protected]`

## Member Data Documentation

Qt::Orientation orientation

Search for all occurrences

Definition at line 707 of file qstyleoption.h.

int minimum

Search for all occurrences

Definition at line 708 of file qstyleoption.h.

int maximum

Search for all occurrences

Definition at line 709 of file qstyleoption.h.

QSlider::TickPosition tickPosition

Search for all occurrences

Definition at line 710 of file qstyleoption.h.

int tickInterval

Search for all occurrences

Definition at line 711 of file qstyleoption.h.

bool upsideDown

Search for all occurrences

Definition at line 712 of file qstyleoption.h.

int sliderPosition

Search for all occurrences

Definition at line 713 of file qstyleoption.h.

int sliderValue

Search for all occurrences

Definition at line 714 of file qstyleoption.h.

int singleStep

Search for all occurrences

Definition at line 715 of file qstyleoption.h.

int pageStep

Search for all occurrences

Definition at line 716 of file qstyleoption.h.

qreal notchTarget

Search for all occurrences

Definition at line 717 of file qstyleoption.h.

bool dialWrapping

Search for all occurrences

Definition at line 718 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider
QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider QStyleOptionSlider